--- a/scribus/CMakeLists.txt
+++ b/scribus/CMakeLists.txt
@@ -587,7 +587,9 @@ set(SCRIBUS_SOURCES
 	${SCRIBUS_GMAGICK_SRC}
 )
 
-if(NOT HAVE_HYPHEN)
+if(HAVE_HYPHEN)
+	include_directories(${HYPHEN_INCLUDE_DIR})
+else()
 	include_directories(third_party/hyphen)
 	set(SCRIBUS_SOURCES
 	${SCRIBUS_SOURCES}
@@ -678,12 +680,6 @@ if(HAVE_PODOFO)
 
 endif()
 
-if(HAVE_HYPHEN)
-	target_link_libraries(${EXE_NAME} PRIVATE
-	${HYPHEN_LIBRARY}
-	)
-endif()
-
 
 if(GESTURE_FRAME_PREVIEW)
 	 message(STATUS "Enable gesture frame preview [experimental]")
@@ -743,6 +739,12 @@ if(WANT_PCH)
 	target_precompile_headers(${EXE_NAME} PRIVATE scribus_pch.h)
 endif()
 
+if(HAVE_HYPHEN)
+	target_link_libraries(${EXE_NAME} PRIVATE
+	${HYPHEN_LIBRARY}
+	)
+endif()
+
 if(WIN32)
 	set_target_properties(${EXE_NAME}
 		PROPERTIES
--- a/scribus/hyphenator.h
+++ b/scribus/hyphenator.h
@@ -13,7 +13,7 @@ for which a new license (GPL+exception) is in place.
 #include <QSet>
 
 #include "scribusapi.h"
-#include "third_party/hyphen/hyphen.h"
+#include <hyphen.h>
 
 class ScribusDoc;
 class ScribusMainWindow;
